org.freeplane.plugin.script.proxy

## Interface Proxy.Cloud

- Enclosing interface:
    Proxy

      public static interface Proxy.Cloud

  Here are four ways to enable a cloud on the current node and switch it off again:

         node.cloud.enabled = true
         node.cloud.enabled = false

         node.cloud.shape = 'ROUND_RECT' // either 'ARC', 'STAR', 'RECT' or 'ROUND_RECT'
         node.cloud.shape = null

         node.cloud.color = java.awt.Color.YELLOW
         node.cloud.color = null

         node.cloud.colorCode = '#00FF66'
         node.cloud.color = null

  Since:
    1.3

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.awt.Color` | `getColor()`
    `java.lang.String` | `getColorCode()`
    `boolean` | `getEnabled()`
    `java.lang.String` | `getShape()`
    `void` | `setColor(java.awt.Color color)`
    `void` | `setColorCode(java.lang.String rgbString)`
    `void` | `setEnabled(boolean enable)`
    `void` | `setShape(java.lang.String shape)`

- - ### Method Detail

    - #### getEnabled

          boolean getEnabled()

      Since:
        1.3

    - #### setEnabled

          void setEnabled(boolean enable)

      Since:
        1.3

    - #### getShape

          java.lang.String getShape()

      Returns:
        either null (if cloud is not enabled), "ARC", "STAR", "RECT" or "ROUND_RECT".
      Since:
        1.3

    - #### setShape

          void setShape(java.lang.String shape)

      Parameters:
        `shape` - use "ARC", "STAR", "RECT" or "ROUND_RECT". null removes the cloud
      Since:
        1.3

    - #### getColor

          java.awt.Color getColor()

      Returns:
        either null (if cloud is not enabled) or the current cloud color.
      Since:
        1.3

    - #### setColor

          void setColor(java.awt.Color color)

      Since:
        1.3

    - #### getColorCode

          java.lang.String getColorCode()

      Returns:
        either null (if cloud is not enabled) or a HTML color spec.
      Since:
        1.3

    - #### setColorCode

          void setColorCode(java.lang.String rgbString)

      Parameters:
        `rgbString` - a HTML color spec like #ff0000 (red) or #222222 (darkgray).
      Since:
        1.3